Publish a Shared Pipeline Artifact
curl --request POST \
--url https://eu1.api.matillion.com/dpc/v1/shared-pipelines/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'content-type: <content-type>' \
--header 'sharedPipelineIdPrefix: <sharedpipelineidprefix>' \
--header 'versionName: <versionname>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/shared-pipelines/artifacts"
headers = {
"content-type": "<content-type>",
"sharedPipelineIdPrefix": "<sharedpipelineidprefix>",
"versionName": "<versionname>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'content-type': '<content-type>',
sharedPipelineIdPrefix: '<sharedpipelineidprefix>',
versionName: '<versionname>',
Authorization: 'Bearer <token>'
}
};
fetch('https://eu1.api.matillion.com/dpc/v1/shared-pipelines/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ignoredResources": [
{
"name": "<string>",
"reason": "<string>"
}
],
"versionName": "1.0.0"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Shared Pipeline Artifacts
Publish a Shared Pipeline Artifact
Publishes a shared pipeline artifact as a multipart upload. The sharedPipelineIdPrefix identifies the shared pipeline group.
POST
/
v1
/
shared-pipelines
/
artifacts
Publish a Shared Pipeline Artifact
Authorizations
a valid bearer token
Headers
Was this page helpful?
List Published Shared Pipeline Artifacts
Previous
Enable or Disable a Shared Pipeline Artifact Version
Next
⌘I
